Bug 1677889 - Ristretto randomly renders only part of my GIF
Summary: Ristretto randomly renders only part of my GIF
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ristretto
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-16 17:01 UTC by David Costanzo
Modified: 2019-11-27 23:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:16:29 UTC
Type: Bug


Attachments (Terms of Use)
The GIF that shows Ristretto has problems rendering. (8.60 KB, image/gif)
2019-02-16 17:01 UTC, David Costanzo
no flags Details
Screenshot #1 that shows problem (35.52 KB, image/png)
2019-02-16 17:03 UTC, David Costanzo
no flags Details
Screenshot #2 that shows problem (ristretto gives up in different place) (46.72 KB, image/png)
2019-02-16 17:04 UTC, David Costanzo
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 15177 None None None 2019-07-18 03:26:40 UTC

Description David Costanzo 2019-02-16 17:01:51 UTC
Created attachment 1535528 [details]
The GIF that shows Ristretto has problems rendering.

Description of problem:
When I view a particular GIF in Ristretto (the only one I've tried), it randomly gives up partway through rendering it, leaving a grey checkerboard pattern for the bottom part of the image.  The location where Ristretto gives up is not consistent.


Version-Release number of selected component (if applicable):
ristretto-0.8.3-20.fc29.i686

How reproducible:
Sometimes

Steps to Reproduce:
1. Run ristretto on the attached GIF file (not the PNGs, which are screenshots of the problem)

Actual results:
The top of the image is rendered correctly, but the bottom is sometimes rendered as a grey checkerboard.  (See attached PNG screenshots)

Note that sometimes it renders correctly.  In this case, if you click on a different thumbnail, then click back on the GIF, it may render only partially.

Interestingly, the thumbnail is always rendered correctly.

Expected results:
The image renders correctly, every time.

Additional info:
* I ran this from the command line and did not see any useful diagnostic messages about errors.
* The GIF in question (midibujo.gif) was generated by a program called FMSLogo running under wine.
* The same GIF is rendered correctly by Firefox and GIMP.
* I am running a fully patched version of FC29.
* I running on a slow x86 laptop.
* Fedora and xfce are great--without them I would have had to buy a new laptop long ago (several times over).
* When run under valgrind, the grey checkboard looks like random memory, some but no memory corruption is reported.

User Impact:
This has little impact on me.  I am only reporting to make Fedora a better.

Comment 1 David Costanzo 2019-02-16 17:03:28 UTC
Created attachment 1535529 [details]
Screenshot #1 that shows problem

Comment 2 David Costanzo 2019-02-16 17:04:28 UTC
Created attachment 1535530 [details]
Screenshot #2 that shows problem (ristretto gives up in different place)

Comment 3 Mukundan Ragavan 2019-03-06 23:30:26 UTC
Filed upstream.

Comment 4 Filipe Rosset 2019-07-18 03:38:52 UTC
Looks like this issue was fixed in latest ristretto-0.8.5

https://git.xfce.org/apps/ristretto/commit?id=f1ab0ef82fc96d14cf73c00f55d31581734d80d9

Comment 5 Fedora Update System 2019-08-15 22:31:03 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 6 Fedora Update System 2019-08-17 01:27:04 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 7 Fedora Update System 2019-08-23 01:26:42 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Ben Cotton 2019-10-31 18:55:29 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 23:16:29 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.